﻿// <copyright file="Default.aspx.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>

namespace CloudDigitalAssetStorageService_WebRole
{
    using System;
    using System.Collections;
    using System.Configuration;
    using System.Collections.Generic;
    using System.Data;
    using System.Linq;
    using System.Xml.Linq;
    using System.Net;
    using System.Web;
    using System.Web.Security;
    using System.Web.UI;
    using System.Web.UI.HtmlControls;
    using System.Web.UI.WebControls;
    using System.Web.UI.WebControls.WebParts;
    using Microsoft.ServiceHosting.ServiceRuntime;
    // Adding a reference to Storage client sample shipped with SDK
    using Microsoft.Samples.ServiceHosting.StorageClient;
    using Samples.CloudDigitalAssetStorageService_Utilities;

    public partial class _Default : System.Web.UI.Page
    {    
        protected void Page_Load(object sender, EventArgs e)
        {
        }
        
        protected void submitButton_Click(object sender, EventArgs e)
        {
            if (RoleManager.IsRoleManagerRunning)
            {
                if (upload.HasFile)
                {
                    RoleManager.WriteToLog("Information", "Storing an asset of type:" + upload.PostedFile.ContentType);
                    //// Store the image in the cloud
                    string assetId = StorageUtility.StoreImage(upload.PostedFile.ContentType, upload.FileContent);
                    //// Set asset metadata 
                    AssetMetadata metadata = new AssetMetadata();
                    metadata.ContentType= upload.PostedFile.ContentType;
                    metadata.AssetName = nameTextBox.Text;
                    Dictionary<string, string> collection = new Dictionary<string, string>();
                    collection.Add("location", locationTextBox.Text);
                    collection.Add("user-tag", nameTextBox.Text);
                    metadata.Metadata = collection;
                    StorageUtility.SetAssetMetadata(assetId, metadata);
                    
                    //// Process the asests 
                    StorageUtility.ProcessAsset(assetId);
                    RoleManager.WriteToLog("Information", "Asset is stored in the cloud");
                }
            }
        }
        protected void Page_PreRender(object sender, EventArgs e)
        {
            if (RoleManager.IsRoleManagerRunning)
            {
                // get all thubnails of the assets stored in the blob store and display
                thumbnails.DataSource =
                  from o in StorageUtility.GetThumpNailImages()
                  select new
                  {
                      Url = ((BlobProperties)o).Uri
                  };
                thumbnails.DataBind();
            }
        }
    }
}
