﻿// <copyright file="ICloudDigitalAssetStorageWebService.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>

namespace Samples.CloudDigitalAssetStorageWebService
{
    using System;
    using System.Collections.Generic;
    using System.Collections.Specialized;
    using System.IO;
    using System.Linq;
    using System.Runtime.Serialization;
    using System.ServiceModel;
    using System.Text;

    using Samples.CloudDigitalAssetStorageService_Utilities;

    // Asset Storage Web Service interface 
    [ServiceContract]
    public interface ICloudDigitalAssetStorageWebService
    {
        // store any asset to the cloud storage and returns the asset identifier 
        [OperationContract]
        string StoreAsset(Stream asset);
        
        // associate meta data with a previously created asset 
        [OperationContract]
        bool SetAssetMetadata(AssetMetadata metadata);
        
        // process an asset ; for example create a thumbnail 
        [OperationContract]
        bool ProcessAsset(string assetId);
       
        // get all asset meta data 
        [OperationContract]
        IEnumerable<AssetMetadata> GetAllAssetsMetaData();
   
        // get asset meta data 
        [OperationContract]
        AssetMetadata GetMetaData(string assetId);

        // get asset 
        [OperationContract]
        Stream GetAsset(string assetId);
    }
}
