﻿//
// <copyright file="DataElements.cs" company="Microsoft">
//     Copyright (c) Microsoft Corporation.  All rights reserved.
// </copyright>


namespace Samples.CloudDigitalAssetStorageService_Utilities
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.IO;
    using System.ServiceModel;
    using System.Runtime.Serialization;

    //// Asset Metadata element 
    [DataContract]
    public class AssetMetadata
    {
        //// Asset Id 
        [DataMember]
        public string AssetId { get; set; }
        //// Asset Name
        [DataMember]
        public string AssetName { get; set; }
        //// Asset resource Url
        [DataMember]
        public Uri AssetUri { get; set; }
        //// Asset Thumbnail Uri
        [DataMember]
        public Uri ThumbNailUri { get; set; }
        //// Content encoding 
        [DataMember]
        public string ContentEncoding { get; set; }
        [DataMember]
        //// Content type 
        public string ContentType { get; set; }
        //// Content language 
        [DataMember]
        public string ContentLanguage { get; set; }
        //// Content length
        [DataMember]
        public long ContentLength { get; set; }
        //// Add additional meta-data (for example location information) 
        [DataMember]
        public Dictionary<string, string> Metadata { get; set; }
    }

}
